Subject: Re: [Govpn-devel] build from last tarball

From: Alan Holt <[email-masked]>
Date: Wed, 13 May 2015 12:00:01 +0300

*Hello again,*

*I do checks on two systems. *
*- Ubuntu 14.04.2 LTS Server *
*- CentOS release 6.6 Final*

*With all updates installed on it.*

*On Ubuntu 14.04.2 LTS Server*

root@calvin:~/govpn# make --version
GNU Make 3.81
This program built for x86_64-pc-linux-gnu

root@calvin:~# git clone https://github.com/stargrave/govpn.git
Cloning into 'govpn'...
remote: Counting objects: 699, done.
remote: Compressing objects: 100% (4/4), done.
remote: Total 699 (delta 0), reused 0 (delta 0), pack-reused 695
Receiving objects: 100% (699/699), 192.46 KiB | 136.00 KiB/s, done.
Resolving deltas: 100% (411/411), done.
Checking connectivity... done.

root@calvin:~# cd govpn

root@calvin:~/govpn# git checkout develop
Already on 'develop'
Your branch is up-to-date with 'origin/develop'.

root@calvin:~/govpn# make
GNUmakefile:4: common.mk: No such file or directory
make: *** No rule to make target `common.mk'.  Stop.

*On* *CentOS release 6.6 Final*

[root@centos6 govpn]# make --version
GNU Make 3.81
This program built for x86_64-redhat-linux-gnu

[root@centos6 ~]# git clone https://github.com/stargrave/govpn.git
Initialized empty Git repository in /root/govpn/.git/
remote: Counting objects: 699, done.
remote: Compressing objects: 100% (4/4), done.
remote: Total 699 (delta 0), reused 0 (delta 0), pack-reused 695
Receiving objects: 100% (699/699), 192.46 KiB | 331 KiB/s, done.
Resolving deltas: 100% (411/411), done.

[root@centos6 ~]# cd govpn

[root@centos6 govpn]# git checkout develop
Already on 'develop'

[root@centos6 govpn]# make
GNUmakefile:4: common.mk: No such file or directory
make: *** No rule to make target `common.mk'.  Stop.

*Still no success. *

On Wed, May 13, 2015 at 11:47 AM, <[email-masked]> wrote:

> Greetings, Alan!
>
> Seems tha current Makefile works only under GNU Make 4.x, but Ubuntu
> 14.x contains an older one (3.x). I made a commit to develop branch of
> GoVPN. Can you check if it works correctly? If so, then I will make a
> new release.
>
> % git clone https://github.com/stargrave/govpn.git
> % cd govpn
> % git checkout develop
> % make
>
> --
> Happy hacking, Sergey Matveev
>

-- 
*בברכה, *
*אלכס ברבר*

*+9 72 54 285 952 3*
*www.linuxspace.org* <http://www.linuxspace.org>
*--*
*Best regards.*
*Alex Berber*
*+9 72 54 285 952 3*
*www.linuxspace.org* <http://www.linuxspace.org/>